package com.rwk.system.mapper;

import java.util.List;
import com.rwk.system.domain.RwkBookGroup;
import org.apache.ibatis.annotations.Param;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author ruoyi
 * @date 2024-12-16
 */
public interface RwkBookGroupMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param bookId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public RwkBookGroup selectRwkBookGroupByBookId(Long bookId);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param rwkBookGroup 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<RwkBookGroup> selectRwkBookGroupList(RwkBookGroup rwkBookGroup);

    /**
     * 新增【请填写功能名称】
     * 
     * @param rwkBookGroup 【请填写功能名称】
     * @return 结果
     */
    public int insertRwkBookGroup(RwkBookGroup rwkBookGroup);
    public int insertRwkBookGroupList(@Param("rwkBookGroups") List<RwkBookGroup> rwkBookGroups);

    /**
     * 修改【请填写功能名称】
     * 
     * @param rwkBookGroup 【请填写功能名称】
     * @return 结果
     */
    public int updateRwkBookGroup(RwkBookGroup rwkBookGroup);

    /**
     * 删除【请填写功能名称】
     * 
     * @param bookId 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteRwkBookGroupByBookId(Long bookId);

    public int deleteRwkBookGroupByGroupId(Long groupId);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param bookIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRwkBookGroupByBookIds(String[] bookIds);
}
